import { jsx } from "react/jsx-runtime";
import { TipiIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Tipi = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Tipi", ...props, children: /* @__PURE__ */ jsx(TipiIcon, { weight: variant }) });
  }
);
Tipi.displayName = "Tipi";
Object.assign(Tipi, { isGdsIcon: true });
export {
  Tipi
};
